diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/core/src/main/java/org/jboss/ws/core/soap/CommentImpl.java jbossws-native-3.0.5.GA-src/modules/core/src/main/java/org/jboss/ws/core/soap/CommentImpl.java
--- jbossws-native-3.0.5.GA-src.orig/modules/core/src/main/java/org/jboss/ws/core/soap/CommentImpl.java	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/core/src/main/java/org/jboss/ws/core/soap/CommentImpl.java	2009-02-12 09:39:41.000000000 -0800
@@ -0,0 +1,38 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2006, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.ws.core.soap;
+
+/**
+ * A representation of a node whose value is text. A Text
+ * object may represent text that is content or text that is a comment.
+ *
+ * @author <a href="mailto:gturner@unzane.com">Gerald Turner</a>
+ */
+public class CommentImpl extends TextImpl implements org.w3c.dom.Comment
+{
+
+   public CommentImpl(org.w3c.dom.Node node)
+   {
+      super(node);
+   }
+
+}
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/core/src/main/java/org/jboss/ws/core/soap/NodeImpl.java jbossws-native-3.0.5.GA-src/modules/core/src/main/java/org/jboss/ws/core/soap/NodeImpl.java
--- jbossws-native-3.0.5.GA-src.orig/modules/core/src/main/java/org/jboss/ws/core/soap/NodeImpl.java	2008-12-19 16:51:50.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/core/src/main/java/org/jboss/ws/core/soap/NodeImpl.java	2009-02-12 15:19:12.000000000 -0800
@@ -561,7 +561,7 @@
       }
       else if (node instanceof org.w3c.dom.Comment)
       {
-         retNode = new TextImpl(node);
+         retNode = new CommentImpl(node);
       }
       else if (node instanceof org.w3c.dom.Element)
       {
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/scripts/build-jars-jaxws.xml jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/scripts/build-jars-jaxws.xml
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/scripts/build-jars-jaxws.xml	2008-12-19 16:54:30.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/scripts/build-jars-jaxws.xml	2009-02-12 17:33:06.000000000 -0800
@@ -413,6 +413,18 @@
         <include name="jboss-web.xml"/>
       </webinf>
     </war>    
+
+    <!-- jaxws-jbws2526 -->
+    <war warfile="${tests.output.dir}/test-libs/jaxws-jbws2526.war" webxml="${tests.output.dir}/test-resources/jaxws/jbws2526/WEB-INF/web.xml">
+      <classes dir="${tests.output.dir}/test-classes">
+        <include name="org/jboss/test/ws/jaxws/jbws2526/*.class"/>
+        <exclude name="org/jboss/test/ws/jaxws/jbws2526/JBWS2526TestCase.class"/>
+        <include name="org/jboss/test/ws/jaxws/jbws2526/server-handlers.xml"/>
+      </classes>
+      <webinf dir="${tests.output.dir}/test-resources/jaxws/jbws2526/WEB-INF">
+        <include name="wsdl/**"/>
+      </webinf>
+    </war>  
   	
     <!-- jaxws-webserviceref -->
     <war warfile="${tests.output.dir}/test-libs/jaxws-webserviceref.war" webxml="${tests.output.dir}/test-resources/jaxws/webserviceref/WEB-INF/web.xml">
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Endpoint.java jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Endpoint.java
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Endpoint.java	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Endpoint.java	2009-02-12 17:14:47.000000000 -0800
@@ -0,0 +1,58 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2006, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.test.ws.jaxws.jbws2526;
+
+import javax.jws.HandlerChain;
+import javax.jws.WebMethod;
+import javax.jws.WebParam;
+import javax.jws.WebResult;
+import javax.jws.WebService;
+import javax.jws.soap.SOAPBinding;
+
+/**
+ * Test endpoint.
+ *
+ * @author <a href="mailto:gturner@unzane.com">Gerald Turner</a>
+ */
+@WebService(name="Port",
+            serviceName="Service",
+            portName="Port",
+            targetNamespace="urn:JBWS-2526-Service",
+            wsdlLocation = "WEB-INF/wsdl/jbws2526.wsdl")
+@HandlerChain(file="server-handlers.xml")
+@SOAPBinding(parameterStyle=SOAPBinding.ParameterStyle.BARE)
+public class Endpoint {
+
+    @WebMethod
+    @WebResult(name="Response",
+               targetNamespace="urn:JBWS-2526-Schema",
+               partName="response")
+    public Response evaluate(@WebParam(name="Request",
+                                       targetNamespace="urn:JBWS-2526-Schema",
+                                       partName="request")
+                             Request request) {
+        Response response = new Response();
+        response.setValue(request.getValue1() * request.getValue2());
+        return response;
+    }
+
+}
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/JBWS2526TestCase.java jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/JBWS2526TestCase.java
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/JBWS2526TestCase.java	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/JBWS2526TestCase.java	2009-02-12 17:12:23.000000000 -0800
@@ -0,0 +1,84 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2006, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.test.ws.jaxws.jbws2526;
+
+import java.net.URL;
+import java.util.Iterator;
+
+import javax.xml.namespace.QName;
+import javax.xml.soap.MessageFactory;
+import javax.xml.soap.SOAPBody;
+import javax.xml.soap.SOAPConnection;
+import javax.xml.soap.SOAPConnectionFactory;
+import javax.xml.soap.SOAPMessage;
+
+import junit.framework.Test;
+
+import org.jboss.ws.core.soap.NodeImpl;
+import org.jboss.wsf.common.DOMWriter;
+import org.jboss.wsf.test.JBossWSTest;
+import org.jboss.wsf.test.JBossWSTestSetup;
+import org.w3c.dom.Node;
+import org.w3c.dom.NodeList;
+
+/**
+ * [JBWS-2526] org.jboss.ws.core.soap.TextImpl does not implement
+ * org.w3c.dom.Comment.
+ *
+ * @author <a href="mailto:gturner@unzane.com">Gerald Turner</a>
+ */
+public class JBWS2526TestCase extends JBossWSTest {
+
+    public static Test suite() throws Exception {
+        return new JBossWSTestSetup(JBWS2526TestCase.class, "jaxws-jbws2526.war");
+    }
+
+    public void testWithoutComment() throws Exception {
+        test("jaxws/jbws2526/request-message-without-comment.xml");
+    }
+
+    public void testWithComment() throws Exception {
+        test("jaxws/jbws2526/request-message-with-comment.xml");
+    }
+
+    private void test(String requestFile) throws Exception {
+        URL requestURL = getResourceFile(requestFile).toURL();
+        MessageFactory messageFactory = MessageFactory.newInstance();
+        SOAPMessage requestMessage =
+            messageFactory.createMessage(null, requestURL.openStream());
+        URL endpointURL =
+            new URL("http://" + getServerHost() + ":8080/jaxws-jbws2526/");
+        SOAPConnection connection =
+            SOAPConnectionFactory.newInstance().createConnection();
+        SOAPMessage responseMessage =
+            connection.call(requestMessage, endpointURL);
+        SOAPBody responseBody =
+            responseMessage.getSOAPPart().getEnvelope().getBody();
+
+        assertFalse(responseBody.hasFault());
+
+        // Assume request-message-*.xml has Value1 = 9
+        // LogicalHandler will replace Value2 = 2
+        assertEquals("18", responseBody.getFirstChild().getFirstChild().getFirstChild().getNodeValue());
+    }
+
+}
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/LogicalHandler.java jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/LogicalHandler.java
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/LogicalHandler.java	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/LogicalHandler.java	2009-02-12 17:20:20.000000000 -0800
@@ -0,0 +1,67 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2006, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.test.ws.jaxws.jbws2526;
+
+import javax.xml.transform.dom.DOMSource;
+import javax.xml.ws.LogicalMessage;
+import javax.xml.ws.handler.LogicalMessageContext;
+import javax.xml.ws.handler.MessageContext;
+
+import org.jboss.ws.WSException;
+import org.jboss.wsf.test.GenericLogicalHandler;
+import org.w3c.dom.Comment;
+import org.w3c.dom.Node;
+import org.w3c.dom.NodeList;
+
+/**
+ * Logical handler implementation.
+ *
+ * @author <a href="mailto:gturner@unzane.com">Gerald Turner</a>
+ */
+public class LogicalHandler extends GenericLogicalHandler {
+
+    @Override
+    protected boolean handleInbound(MessageContext messageContext) {
+        LogicalMessageContext context = (LogicalMessageContext) messageContext;
+        LogicalMessage message = context.getMessage();
+        Object payload = message.getPayload();
+        if (!(payload instanceof DOMSource))
+            throw new WSException("Test requires DOMSource payload");
+
+        Node node = ((DOMSource) payload).getNode();
+        NodeList nodes = node.getChildNodes();
+        for (int i = 0; i < nodes.getLength(); i++) {
+            Node current = nodes.item(i);
+            if (current.getNodeType() == Node.COMMENT_NODE) {
+                if (!(current instanceof Comment))
+                    throw new WSException("Found comment node that does not implement org.w3c.dom.Comment");
+            }
+            else if ("Value2".equals(current.getLocalName())) {
+                Node child = current.getFirstChild();
+                child.setNodeValue("2");
+            }
+        }
+
+        return true;
+    }
+
+}
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Request.java jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Request.java
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Request.java	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Request.java	2009-02-12 16:55:31.000000000 -0800
@@ -0,0 +1,66 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2006, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.test.ws.jaxws.jbws2526;
+
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlType;
+import javax.xml.bind.annotation.XmlRootElement;
+
+/**
+ * Test request parameter.
+ *
+ * @author <a href="mailto:gturner@unzane.com">Gerald Turner</a>
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlRootElement(name="Request", namespace="urn:JBWS-2526-Schema")
+@XmlType(name = "", propOrder = { "value1", "value2" })
+public class Request {
+
+    @XmlElement(name="Value1",
+                required=true,
+                namespace="urn:JBWS-2526-Schema")
+    protected int value1;
+
+    @XmlElement(name="Value2",
+                required=true,
+                namespace="urn:JBWS-2526-Schema")
+    protected int value2;
+
+    public int getValue1() {
+        return value1;
+    }
+
+    public void setValue1(int value1) {
+        this.value1 = value1;
+    }
+
+    public int getValue2() {
+        return value2;
+    }
+
+    public void setValue2(int value2) {
+        this.value2 = value2;
+    }
+
+}
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Response.java jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Response.java
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Response.java	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/Response.java	2009-02-12 16:58:23.000000000 -0800
@@ -0,0 +1,51 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2006, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.test.ws.jaxws.jbws2526;
+
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlRootElement;
+
+/**
+ * Test response parameter.
+ *
+ * @author <a href="mailto:gturner@unzane.com">Gerald Turner</a>
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlRootElement(name="Response", namespace="urn:JBWS-2526-Schema")
+public class Response {
+
+    @XmlElement(name="Value",
+                required=true,
+                namespace="urn:JBWS-2526-Schema")
+    protected int value;
+
+    public int getValue() {
+        return value;
+    }
+
+    public void setValue(int value) {
+        this.value = value;
+    }
+
+}
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/server-handlers.xml jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/server-handlers.xml
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/server-handlers.xml	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/java/org/jboss/test/ws/jaxws/jbws2526/server-handlers.xml	2009-02-12 17:39:11.000000000 -0800
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<handler-chains xmlns="http://java.sun.com/xml/ns/javaee"
+                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+                xmlns:ns1="http://org.jboss.ws/jaxws/samples/logicalhandler"
+                xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
+                                    javaee_web_services_1_2.xsd">
+  <handler-chain>
+    <handler>
+      <handler-name>LogicalServerHandler</handler-name>
+      <handler-class>org.jboss.test.ws.jaxws.jbws2526.LogicalHandler</handler-class>
+    </handler>
+  </handler-chain>
+</handler-chains>
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-with-comment.xml jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-with-comment.xml
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-with-comment.xml	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-with-comment.xml	2009-02-12 16:47:06.000000000 -0800
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
+               soap:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
+               xmlns="urn:JBWS-2526-Schema">
+  <soap:Body>
+    <Request>
+      <!-- This is a comment node which may trigger a ClassCastException -->
+      <Value1>9</Value1>
+      <Value2>9</Value2>
+    </Request>
+  </soap:Body>
+</soap:Envelope>
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-without-comment.xml jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-without-comment.xml
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-without-comment.xml	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/request-message-without-comment.xml	2009-02-12 16:46:42.000000000 -0800
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
+               soap:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
+               xmlns="urn:JBWS-2526-Schema">
+  <soap:Body>
+    <Request>
+      <Value1>9</Value1>
+      <Value2>9</Value2>
+    </Request>
+  </soap:Body>
+</soap:Envelope>
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/web.xml jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/web.xml
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/web.xml	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/web.xml	2009-02-12 16:46:02.000000000 -0800
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee"
+         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee
+                             http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
+  <servlet>
+    <servlet-name>Endpoint</servlet-name>
+    <servlet-class>org.jboss.test.ws.jaxws.jbws2526.Endpoint</servlet-class>
+  </servlet>
+  <servlet-mapping>
+    <servlet-name>Endpoint</servlet-name>
+    <url-pattern>/*</url-pattern>
+  </servlet-mapping>
+</web-app>
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.wsdl jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.wsdl
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.wsdl	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.wsdl	2009-02-12 17:01:48.000000000 -0800
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<definitions name="JBWS-2526"
+             targetNamespace="urn:JBWS-2526-Service"
+             xmlns:service="urn:JBWS-2526-Service"
+             xmlns:schema="urn:JBWS-2526-Schema"
+             xmlns:xs="http://www.w3.org/2001/XMLSchema"
+             xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
+             xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
+             xmlns="http://schemas.xmlsoap.org/wsdl/">
+  <types>
+    <xs:schema>
+      <xs:import namespace="urn:JBWS-2526-Schema"
+                 schemaLocation="jbws2526.xsd"/>
+    </xs:schema>
+  </types>
+
+  <message name="Request">
+    <part name="request" element="schema:Request"/>
+  </message>
+  <message name="Response">
+    <part name="response" element="schema:Response"/>
+  </message>
+
+  <portType name="Port">
+    <operation name="evaluate">
+      <input message="service:Request"/>
+      <output message="service:Response"/>
+    </operation>
+  </portType>
+
+  <binding name="Binding" type="service:Port">
+    <soap:binding style="document"
+                  transport="http://schemas.xmlsoap.org/soap/http"/>
+    <operation name="evaluate">
+      <soap:operation/>
+      <input>
+        <soap:body use="literal"/>
+      </input>
+      <output>
+        <soap:body use="literal"/>
+      </output>
+    </operation>
+  </binding>
+
+  <service name="Service">
+    <port binding="service:Binding" name="Port">
+      <soap:address location="http://localhost:8080/jaxws-jbws2526"/>
+    </port>
+  </service>
+</definitions>
diff -Nru jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.xsd jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.xsd
--- jbossws-native-3.0.5.GA-src.orig/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.xsd	1969-12-31 16:00:00.000000000 -0800
+++ jbossws-native-3.0.5.GA-src/modules/testsuite/native-tests/src/test/resources/jaxws/jbws2526/WEB-INF/wsdl/jbws2526.xsd	2009-02-12 16:45:20.000000000 -0800
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<xs:schema xmlns="urn:JBWS-2526-Schema"
+           xmlns:xs="http://www.w3.org/2001/XMLSchema"
+           targetNamespace="urn:JBWS-2526-Schema"
+           elementFormDefault="qualified"
+           attributeFormDefault="unqualified">
+  <xs:element name="Request">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element name="Value1" type="xs:int"/>
+        <xs:element name="Value2" type="xs:int"/>
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+
+  <xs:element name="Response">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element name="Result" type="xs:int"/>
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+</xs:schema>