### Eclipse Workspace Patch 1.0
#P org.jboss.tools.vpe
Index: src/org/jboss/tools/vpe/editor/template/VpeEditAnyDialog.java
===================================================================
--- src/org/jboss/tools/vpe/editor/template/VpeEditAnyDialog.java	(revision 14446)
+++ src/org/jboss/tools/vpe/editor/template/VpeEditAnyDialog.java	(working copy)
@@ -10,6 +10,8 @@
  ******************************************************************************/ 
 package org.jboss.tools.vpe.editor.template;
 
+import java.text.MessageFormat;
+
 import javax.xml.parsers.DocumentBuilderFactory;
 import javax.xml.parsers.ParserConfigurationException;
 import org.eclipse.jface.dialogs.IDialogConstants;
@@ -159,7 +161,10 @@
 	}
 
 	private IMessageProvider getDefaultMessage() {
-		final String message = (data.getUri() != null ? ("URI:           " + data.getUri() + "\n") : "") + VpeUIMessages.TAG_NAME + data.getName(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
+		final String message = (data.getUri() != null 
+					? (MessageFormat.format(VpeUIMessages.TAG_URI, data.getUri()) + "\n") //$NON-NLS-1$ 
+					: "") //$NON-NLS-1$
+				+ MessageFormat.format(VpeUIMessages.TAG_NAME, data.getName()); 
 		return new Message(message, IMessageProvider.NONE);
 	}
 
@@ -272,8 +277,10 @@
 				try {
 					xmlDocument.createElement(txtTagForDisplay.getText());
 				} catch (DOMException e) {
-					return new Message(VpeUIMessages.TAG_FOR_DISPLAY + VpeUIMessages.ERROR_MESSAGE_POSTFIX + " (" + //$NON-NLS-1$
-							e.getMessage() + ")." , IMessageProvider.ERROR); //$NON-NLS-1$
+					return new Message(
+							MessageFormat.format(VpeUIMessages.TAG_FOR_DISPLAY_IS_NOT_VALID,
+												e.getMessage()),
+							IMessageProvider.ERROR);
 				}
 			}
 
@@ -291,8 +298,10 @@
 			try {
 				VpeExpressionBuilder.buildCompletedExpression(txtValue.getText(), true);
 			} catch (VpeExpressionBuilderException e) {
-				return new Message(VpeUIMessages.VALUE + VpeUIMessages.ERROR_MESSAGE_POSTFIX + " (" + //$NON-NLS-1$
-						e.getMessage() + ")." , IMessageProvider.ERROR); //$NON-NLS-1$
+				return new Message(
+						MessageFormat.format(VpeUIMessages.VALUE_IS_NOT_VALID,
+											e.getMessage()),
+						IMessageProvider.ERROR);
 			}
 
 			return null;
Index: src/org/jboss/tools/vpe/editor/menu/SetupTemplateContributionItem.java
===================================================================
--- src/org/jboss/tools/vpe/editor/menu/SetupTemplateContributionItem.java	(revision 14446)
+++ src/org/jboss/tools/vpe/editor/menu/SetupTemplateContributionItem.java	(working copy)
@@ -80,8 +80,8 @@
 					&& elementMapping.getTemplate().getType() == VpeHtmlTemplate.TYPE_ANY) {
 
 				((SetupTemplateAction) getAction()).setText(NLS.bind(
-						VpeUIMessages.SETUP_TEMPLATE_FOR_MENU, element
-								.getNodeName()));
+						VpeUIMessages.SETUP_TEMPLATE_FOR_MENU,
+						element.getNodeName()));
 				((SetupTemplateAction) getAction()).setActionNode(element);
 				((SetupTemplateAction) getAction()).setData(elementMapping
 						.getTemplate().getAnyData());
Index: src/org/jboss/tools/vpe/editor/template/expression/VpeFunction.java
===================================================================
--- src/org/jboss/tools/vpe/editor/template/expression/VpeFunction.java	(revision 14446)
+++ src/org/jboss/tools/vpe/editor/template/expression/VpeFunction.java	(working copy)
@@ -13,7 +13,6 @@
 import org.jboss.tools.vpe.messages.VpeUIMessages;
 
 public abstract class VpeFunction extends VpeOperand {
-	private static final String ERROR_PARAMETER_INCORRECT = VpeUIMessages.INCORRECT_PARAMETER_ERROR;
 	
 	private VpeOperand[] paramertes;
 	
@@ -31,7 +30,7 @@
 
 	VpeOperand getParameter(int index) throws VpeExpressionException {
 		if (paramertes == null || paramertes.length < index) {
-			throw new VpeExpressionException(ERROR_PARAMETER_INCORRECT);
+			throw new VpeExpressionException(VpeUIMessages.INCORRECT_PARAMETER_ERROR);
 		}
 		return paramertes[index];
 	}
Index: src/org/jboss/tools/vpe/messages/messages.properties
===================================================================
--- src/org/jboss/tools/vpe/messages/messages.properties	(revision 14446)
+++ src/org/jboss/tools/vpe/messages/messages.properties	(working copy)
@@ -1,39 +1,26 @@
-NAMESPACE_NOT_DEFINED=Namespace not defined. Template could not be edit.
+NAMESPACE_NOT_DEFINED=Namespace is not defined. Template could not be edited.
 PREFERENCES=Preferences
 REFRESH=Refresh
 PAGE_DESIGN_OPTIONS=Page Design Options
 HIDE_SELECTION_BAR=Hide Selection Bar
 SHOW_SELECTION_BAR=Show Selection Bar
-SHOW_BORDER_FOR_ALL_TAGS=show border for all tags
 MOZILLA_LOADING_ERROR=The VPE editor can't be run because your system environment needs to be changed slightly. 
 MOZILLA_LOADING_ERROR_LINK_TEXT=Find out more.
+# START NON-TRANSLATABLE
 MOZILLA_LOADING_ERROR_LINK=http://labs.jboss.com/wiki/JBosstoolsVisualEditorFAQ
-SHOW_COMMENTS=show comments
-SHOW_BORDER_FOR_UNKNOWN_TAGS=show border for unknown tags
-USE_DETAIL_BORDER=use detail border
-SHOW_RESOURCE_BUNDLES_USAGE_AS_EL=show resource bundles usage as EL expressions
-USE_ABSOLUTE_POSITION=use absolute position
-ALWAYS_PROMPT_FOR_TAG_ATTRIBUTES_DURING_TAG_INSERT=always prompt for tag attributes during tag insert
-OPTION_LIST=option list
-SOURCE_VISUAL_EDITORS_WEIGHTS=Size of Visual Editor pane 0-100%
+# END NON-TRANSLATABLE
 GENERAL=General
 TEMPLATES=Templates
 TEMPLATE=Template
 TAG_ATTRIBUTES=Tag Attributes
-TAG_NAME=Tag Name: 
+TAG_NAME=Tag Name: {0}
+TAG_URI=Tag URI: {0}
 CHILDREN=Children
-DISPLAY=Display
-ICON=Icon
 VALUE=Value
-VALUE_COLOR=Value Color
-VALUE_BACKGROUND_COLOR=Value Background Color
+VALUE_IS_NOT_VALID=Value is not valid ({0}).
 BACKGROUND_COLOR=Background Color
-BORDER=Border
-BORDER_COLOR=Border Color
 ERROR_OF_TYPE_CONVERSION=Error of type conversion
 INCORRECT_PARAMETER_ERROR=Incorrect parameter error
-HIDE_TOOLBAR=Hide Text Formatting Toolbar
-SHOW_TOOLBAR=Show Text Formatting Toolbar
 MENU=Menu
 SET_BACKGROUND_COLOR=Set Background Color
 SET_FOREGROUND_COLOR=Set Foreground color
@@ -45,22 +32,20 @@
 ITALIC=Italic
 UNDERLINE=Underline
 FOREGROUND_COLOR=Foreground Color
-ALIGN_LEFT=Align Left
-CENTER=Center
-ALIGN_RIGHT=Align Right
-JUSTIFY=Justify
-BULLETS=Bullets
-NUMBERING=Numbering
 CONFIRM_SELECTION_BAR_DIALOG_TITLE=Confirm hide selection bar
-CONFIRM_SELECTION_BAR_DIALOG_MESSAGE=Hide selection bar ?
+CONFIRM_SELECTION_BAR_DIALOG_MESSAGE=Hide selection bar?
 CONFIRM_SELECTION_BAR_DIALOG_TOGGLE_MESSAGE=Always hide selection bar without prompt
 VPE_UPDATE_JOB_TITLE=Visual Editor View Update
-VPE_VISUAL_REFRESH_JOB=Visual Editor Refresh 
+VPE_VISUAL_REFRESH_JOB=Visual Editor Refresh
+SHOW_NON_VISUAL_TAGS=Show non-visual tags
+HIDE_NON_VISUAL_TAGS=Hide non-visual tags
+SHOW_TOOLBAR=Show {0}
+HIDE_TOOLBAR=Hide {0}
 NON_VISUAL_TAGS=Non-visual tags
 SHOW=Show
 HIDE=Hide
+TAG_FOR_DISPLAY_IS_NOT_VALID=Tag for display is not valid ({0}).
 TAG_FOR_DISPLAY=Tag for Display
-ERROR_MESSAGE_POSTFIX=\ is not valid
 TemplatesPreferencePage_Edit=Edit
 TemplatesPreferencePage_Remove=Remove
 TemplatesTableProvider_Children=Children
@@ -84,4 +69,4 @@
 ACTUAL_RUN_TIME_FOLDERS_ABOUT=These options will be used by Visual Page Editor for replacing absolute and relative path values when generating a preview
 INCLUDED_CSS_FILES_ABOUT=These CSS files will be linked by Visual Page Editor when generating a preview
 INCLUDED_TAG_LIBS_ABOUT=These Taglibs will be used by Visual Page Editor for getting appropriate template for generating a preview, if this Taglibs doesn't included on page
-SUBSTITUTED_EL_EXPRESSIONS_ABOUT=These EL expressions will be substituted by Visual Page Editor when generating a  preview 
+SUBSTITUTED_EL_EXPRESSIONS_ABOUT=These EL expressions will be substituted by Visual Page Editor when generating a  preview
Index: src/org/jboss/tools/vpe/editor/preferences/TemplatesTableProvider.java
===================================================================
--- src/org/jboss/tools/vpe/editor/preferences/TemplatesTableProvider.java	(revision 14446)
+++ src/org/jboss/tools/vpe/editor/preferences/TemplatesTableProvider.java	(working copy)
@@ -19,7 +19,12 @@
 import org.jboss.tools.vpe.messages.VpeUIMessages;
 
 public class TemplatesTableProvider implements XTableProvider, XTableImageProvider {
-	static String[] COLUMNS = new String[]{VpeUIMessages.TemplatesTableProvider_TagName, VpeUIMessages.TemplatesTableProvider_TagForDisplay, VpeUIMessages.TemplatesTableProvider_URI, VpeUIMessages.TemplatesTableProvider_Children};
+	static String[] COLUMNS = new String[] {
+		VpeUIMessages.TemplatesTableProvider_TagName, 
+		VpeUIMessages.TemplatesTableProvider_TagForDisplay,
+		VpeUIMessages.TemplatesTableProvider_URI,
+		VpeUIMessages.TemplatesTableProvider_Children};
+
 	static int[] WIDTH = new int[]{200,150, 150,100};
 	List dataList;
 	
Index: src/org/jboss/tools/vpe/messages/VpeUIMessages.java
===================================================================
--- src/org/jboss/tools/vpe/messages/VpeUIMessages.java	(revision 14446)
+++ src/org/jboss/tools/vpe/messages/VpeUIMessages.java	(working copy)
@@ -29,33 +29,18 @@
 	public static String MOZILLA_LOADING_ERROR;
 	public static String MOZILLA_LOADING_ERROR_LINK_TEXT;
 	public static String MOZILLA_LOADING_ERROR_LINK;
-	public static String SHOW_COMMENTS;
-	public static String SHOW_BORDER_FOR_UNKNOWN_TAGS;
-	public static String SHOW_BORDER_FOR_ALL_TAGS;
-	public static String USE_DETAIL_BORDER;
-	public static String SHOW_RESOURCE_BUNDLES_USAGE_AS_EL;
-	public static String USE_ABSOLUTE_POSITION;
-	public static String ALWAYS_PROMPT_FOR_TAG_ATTRIBUTES_DURING_TAG_INSERT;
-	public static String OPTION_LIST;
-	public static String SOURCE_VISUAL_EDITORS_WEIGHTS;
 	public static String GENERAL;
 	public static String TEMPLATES;
 	public static String TEMPLATE;
 	public static String TAG_ATTRIBUTES;
 	public static String TAG_NAME;
+	public static String TAG_URI;
 	public static String CHILDREN;
-	public static String DISPLAY;
-	public static String ICON;
 	public static String VALUE;
-	public static String VALUE_COLOR;
-	public static String VALUE_BACKGROUND_COLOR;
+	public static String VALUE_IS_NOT_VALID;
 	public static String BACKGROUND_COLOR;
-	public static String BORDER;
-	public static String BORDER_COLOR;
 	public static String ERROR_OF_TYPE_CONVERSION;
 	public static String INCORRECT_PARAMETER_ERROR;
-	public static String HIDE_TOOLBAR;
-	public static String SHOW_TOOLBAR;
 	public static String MENU;
 	public static String SET_BACKGROUND_COLOR;
 	public static String SET_FOREGROUND_COLOR;
@@ -67,22 +52,20 @@
 	public static String ITALIC;
 	public static String UNDERLINE;
 	public static String FOREGROUND_COLOR;
-	public static String ALIGN_LEFT;
-	public static String CENTER;
-	public static String ALIGN_RIGHT;
-	public static String JUSTIFY;
-	public static String BULLETS;
-	public static String NUMBERING;
 	public static String CONFIRM_SELECTION_BAR_DIALOG_TITLE;
 	public static String CONFIRM_SELECTION_BAR_DIALOG_MESSAGE;
 	public static String CONFIRM_SELECTION_BAR_DIALOG_TOGGLE_MESSAGE;
 	public static String VPE_UPDATE_JOB_TITLE;
 	public static String VPE_VISUAL_REFRESH_JOB;
 	public static String NON_VISUAL_TAGS;
+	public static String SHOW_NON_VISUAL_TAGS;
+	public static String HIDE_NON_VISUAL_TAGS;
+	public static String SHOW_TOOLBAR;
+	public static String HIDE_TOOLBAR;
 	public static String SHOW;
 	public static String HIDE;
+	public static String TAG_FOR_DISPLAY_IS_NOT_VALID;
 	public static String TAG_FOR_DISPLAY;
-	public static String ERROR_MESSAGE_POSTFIX;
 	public static String TemplatesPreferencePage_Edit;
 	public static String TemplatesPreferencePage_Remove;
 	public static String TemplatesTableProvider_Children;
Index: src/org/jboss/tools/vpe/editor/mozilla/MozillaEditor.java
===================================================================
--- src/org/jboss/tools/vpe/editor/mozilla/MozillaEditor.java	(revision 14446)
+++ src/org/jboss/tools/vpe/editor/mozilla/MozillaEditor.java	(working copy)
@@ -197,9 +197,8 @@
 				.equals(VpePreference.SHOW_INVISIBLE_TAGS.getValue());
 
 		// set text
-		menuItem.setText((showInvisibleTags ? VpeUIMessages.HIDE
-				: VpeUIMessages.SHOW)
-				+ Constants.WHITE_SPACE + VpeUIMessages.NON_VISUAL_TAGS);
+		menuItem.setText(showInvisibleTags ? VpeUIMessages.HIDE_NON_VISUAL_TAGS
+										   : VpeUIMessages.SHOW_NON_VISUAL_TAGS);
 
 		// add listener
 		menuItem.addSelectionListener(new SelectionAdapter() {