Index: releng/org.jboss.ide.eclipse.releng/builders/build.xml
===================================================================
--- releng/org.jboss.ide.eclipse.releng/builders/build.xml	(revision 4991)
+++ releng/org.jboss.ide.eclipse.releng/builders/build.xml	(working copy)
@@ -101,13 +101,14 @@
 	<target name="init">
 		<property environment="env" />
 		<property name="product.releaseNumber" value="${releaseNumber}" />
+		<property name="product.buildPhase" value="${buildPhase}" />
 		<property file="${tags-file}" prefix="versionTags" />
 
 		<!-- [JBIDE-3700] if running in Hudson, use that timestamp & ID instead of creating new qualifier: see also product/productBuild.xml#build -->
 		<!-- eg., 200901311234 -->
 		<var name="product.buildTimestamp" value="${DSTAMP}${TSTAMP}" />
-		<!-- N200901311234 or N200901311234-H123 -->
-		<var name="product.buildQualifier" value="${product.buildType}${product.buildTimestamp}" />
+		<!-- v200901311234-M1-N or v200901311234-M1-H123-N -->
+		<var name="product.buildQualifier" value="v${product.buildTimestamp}-${product.buildPhase}-${product.buildType}" />
 		<if>
 			<isset property="env.BUILD_ID" />
 			<then>
@@ -118,12 +119,12 @@
 				               replace="\1\2\3\4\5"
 				               override="true"
 				/>
-				<var name="product.buildQualifier" value="${product.buildType}${product.buildTimestamp}-H${env.BUILD_NUMBER}" />
+				<var name="product.buildQualifier" value="v${product.buildTimestamp}-${product.buildPhase}-H${env.BUILD_NUMBER}-${product.buildType}" />
 			</then>
 		</if>
 		<!-- [JBIDE-3700] if running in Hudson, use that timestamp & ID instead of creating new qualifier -->
 
-		<property name="product.versionTag" value="${releaseNumber}-${product.buildQualifier}" />
+		<property name="product.versionTag" value="${releaseNumber}.${product.buildQualifier}" />
 		<property name="jbds.download.root" value="${jbds.download.url}/${product.buildDesc}/${product.releaseNumber}/${product.buildTimestamp}" />
 		<property name="product.build.directory" value="${product.build.root}/${releaseNumber}/${product.buildTimestamp}" />
 	</target>
Index: releng/org.jboss.ide.eclipse.releng/builders/common/common.xml
===================================================================
--- releng/org.jboss.ide.eclipse.releng/builders/common/common.xml	(revision 4991)
+++ releng/org.jboss.ide.eclipse.releng/builders/common/common.xml	(working copy)
@@ -139,7 +139,7 @@
 		<sequential>
 			<get.version.tag builder="@{builder}" property="@{builder}.versionTag" />
 			<propertycopy name="versionTag" from="@{builder}.versionTag" override="true" />
-			<property name="@{builder}.qualifiedVersionTag" value="${versionTag}-${product.buildQualifier}" />
+			<property name="@{builder}.qualifiedVersionTag" value="${versionTag}.${product.buildQualifier}" />
 			<propertycopy name="versionTag" from="@{builder}.qualifiedVersionTag" override="true" />
 			<propertycopy name="@{builder}.versionTag" from="@{builder}.qualifiedVersionTag" override="true" />
 
Index: releng/org.jboss.ide.eclipse.releng/builders/product/buildResults/buildResults.xml
===================================================================
--- releng/org.jboss.ide.eclipse.releng/builders/product/buildResults/buildResults.xml	(revision 4991)
+++ releng/org.jboss.ide.eclipse.releng/builders/product/buildResults/buildResults.xml	(working copy)
@@ -118,29 +118,29 @@
 		<property name="jbds-download-root" value="${jbds.download.root}" />
 
 		<property name="jbds-installer-win32-filename"
-		          value="jbdevstudio-win32-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-win32-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 		<property name="jbds-installer-linux-gtk-filename"
-		          value="jbdevstudio-linux-gtk-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-linux-gtk-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 		<property name="jbds-installer-linux-gtk-x86_64-filename"
-		          value="jbdevstudio-linux-gtk-x86_64-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-linux-gtk-x86_64-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 		<property name="jbds-installer-macosx-carbon-filename"
-		          value="jbdevstudio-macosx-carbon-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-macosx-carbon-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 
 		<property name="jbds-installer-eap-win32-filename"
-		          value="jbdevstudio-eap-win32-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-eap-win32-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 		<property name="jbds-installer-eap-linux-gtk-filename"
-		          value="jbdevstudio-eap-linux-gtk-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-eap-linux-gtk-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 		<property name="jbds-installer-eap-linux-gtk-x86_64-filename"
-		          value="jbdevstudio-eap-linux-gtk-x86_64-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-eap-linux-gtk-x86_64-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 		<property name="jbds-installer-eap-macosx-carbon-filename"
-		          value="jbdevstudio-eap-macosx-carbon-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${installer.version.tag}-${product.buildQualifier}.jar"
+		          value="jbdevstudio-eap-macosx-carbon-${installer.version.major}.${installer.version.minor}.${installer.version.revision}.${product.buildQualifier}.jar"
 		/>
 
 		<property name="jbds-all-win32-filename" value="${product.name}-ALL-win32-${product.versionTag}.zip" />
Index: releng/org.jboss.ide.eclipse.releng/builders/product/productBuild.xml
===================================================================
--- releng/org.jboss.ide.eclipse.releng/builders/product/productBuild.xml	(revision 4991)
+++ releng/org.jboss.ide.eclipse.releng/builders/product/productBuild.xml	(working copy)
@@ -41,13 +41,14 @@
 	<target name="build">
 		<property environment="env" />
 		<property name="product.releaseNumber" value="${releaseNumber}" />
+		<property name="product.buildPhase" value="${buildPhase}" />
 		<property file="${tags-file}" prefix="versionTags" />
 
 		<!-- [JBIDE-3700] if running in Hudson, use that timestamp & ID instead of creating new qualifier: see also ../build.xml#init -->
 		<!-- eg., 200901311234 -->
 		<var name="product.buildTimestamp" value="${DSTAMP}${TSTAMP}" />
-		<!-- N200901311234 or N200901311234-H123 -->
-		<var name="product.buildQualifier" value="${product.buildType}${product.buildTimestamp}" />
+		<!-- v200901311234-M1-N or v200901311234-M1-H123-N -->
+		<var name="product.buildQualifier" value="v${product.buildTimestamp}-${product.buildPhase}-${product.buildType}" />
 		<if>
 			<isset property="env.BUILD_ID" />
 			<then>
@@ -58,12 +59,12 @@
 				               replace="\1\2\3\4\5"
 				               override="true"
 				/>
-				<var name="product.buildQualifier" value="${product.buildType}${product.buildTimestamp}-H${env.BUILD_NUMBER}" />
+				<var name="product.buildQualifier" value="v${product.buildTimestamp}-${product.buildPhase}-H${env.BUILD_NUMBER}-${product.buildType}" />
 			</then>
 		</if>
 		<!-- [JBIDE-3700] if running in Hudson, use that timestamp & ID instead of creating new qualifier -->
 
-		<property name="product.versionTag" value="${releaseNumber}-${product.buildQualifier}" />
+		<property name="product.versionTag" value="${releaseNumber}.${product.buildQualifier}" />
 		<stopwatch name="buildTimer" />
 		<property name="jbds.download.root" value="${jbds.download.url}/${product.buildDesc}/${product.releaseNumber}/${product.buildTimestamp}" />
 		<property name="product.build.directory" value="${product.build.root}/${releaseNumber}/${product.buildTimestamp}" />
@@ -294,7 +295,7 @@
 					<mkdir dir="${product.build.directory}/@{builder}" />
 					<ant dir="${builder.root}" antfile="builder-wrap.xml" target="${product.buildDesc}" inheritAll="true">
 						<property name="builder" value="@{builder}" />
-						<property name="versionTag" value="${builder.version}-${product.buildQualifier}" />
+						<property name="versionTag" value="${builder.version}.${product.buildQualifier}" />
 						<property name="cvsTag" value="${cvsTag}" />
 						<property name="product.build.directory" value="${product.build.directory}" />
 					</ant>
Index: releng/org.jboss.ide.eclipse.releng/configs/jbosstools/release.properties
===================================================================
--- releng/org.jboss.ide.eclipse.releng/configs/jbosstools/release.properties	(revision 4991)
+++ releng/org.jboss.ide.eclipse.releng/configs/jbosstools/release.properties	(working copy)
@@ -1,3 +1,4 @@
 release.product=jbosstools
 releaseType=development
-releaseNumber=3.1.0.Alpha1
\ No newline at end of file
+releaseNumber=3.1.0
+buildPhase=M1
\ No newline at end of file
Index: releng/org.jboss.ide.eclipse.releng/configs/jbds/release.properties
===================================================================
--- releng/org.jboss.ide.eclipse.releng/configs/jbds/release.properties	(revision 4991)
+++ releng/org.jboss.ide.eclipse.releng/configs/jbds/release.properties	(working copy)
@@ -1,3 +1,4 @@
 release.product=jbds
 releaseType=development
-releaseNumber=2.1.0.Alpha1
+releaseNumber=2.1.0
+buildPhase=M1
\ No newline at end of file