--- RESTEASY_JAXRS_1_1_GA_CP01/examples/api-clients/README.txt	2009-03-30 10:09:37.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/api-clients/README.txt	2009-09-01 19:22:55.000000000 -0400
@@ -1,20 +1,31 @@
+README for the RESTEasy spring-hibernate example project:
+=========================================================
+
+This project is a simple example showing the use of:
+- @Path annotation
+- @GET annotation
+- PUT
+- POST
+- @PathParam annotation
+It also uses pure streaming output.
 
-This project is a simple example showing usage of @Path, @GET, PUT, POST, and @PathParam.  It uses pure streaming
-output as well. 
 
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
-Building the project:
-====================
-In root directoy
 
-mvn clean compile
+Building the Project:
+=====================
 
-Flickr Client:
-1. apply for an API key from Flickr - http://www.flickr.com/services/api/keys/apply 
-2. mvn exec:java -Dexec.mainClass="org.jboss.resteasy.examples.flickr.FlickrClient" -Dexec.args="<apiKey>"
+In the project's root directory, run:
+  mvn clean compile
 
-Twitter Client
-mvn exec:java -Dexec.mainClass="org.jboss.resteasy.examples.twitter.Twitter" -Dexec.args="<userId> <password>"
+Flickr Client:
+1. Apply for an API key from Flickr: http://www.flickr.com/services/api/keys/apply 
+2. Run:
+     mvn exec:java -Dexec.mainClass="org.jboss.resteasy.examples.flickr.FlickrClient" -Dexec.args="<apiKey>"
+
+Twitter Client:
+- Run:
+    mvn exec:java -Dexec.mainClass="org.jboss.resteasy.examples.twitter.Twitter" -Dexec.args="<userId> <password>"
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/async-job-service/README.txt	2009-03-12 17:03:58.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/async-job-service/README.txt	2009-09-01 19:57:03.000000000 -0400
@@ -1,14 +1,17 @@
+README for the RESTEasy async-job-service example project:
+=========================================================
+
+This project is a simple example demonstrating the use of the Asynchronous Job Service.
 
-This project is a simple example showing how to use the Asynchronous Job Service. 
 
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
-Building the project:
-====================
-1. In root directoy
 
-mvn clean install
+Building the Project:
+=====================
 
-This will build a WAR and run it with embedded Jetty
\ No newline at end of file
+In the project's root directory, run:
+  mvn clean install
+This builds a WAR and runs it with embedded Jetty.
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/ejb-integration/README.TXT	2008-09-03 19:47:19.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/ejb-integration/README.txt	2009-09-01 19:22:55.000000000 -0400
@@ -1,22 +1,26 @@
-Example of using RestEasy with:
-- EJBs
-- EARs
+README for the RESTEasy ejb-integration example project:
+=========================================================
+
+This project is an example of using RESTEasy with:
+- Enterprise JavaBeans (EJBs)
+- Enterprise Archives (EARs)
 
-This project is a simple example of 2 EJBs that expose 2 RESTFul web services by using JAX-RS and the RESTEasy EJB
-integration.  EJBs are used as both as root resources, and sub-resources.
 
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
-- Requires JBoss 4.2.x or higher (you'll have to modify the POMs to get it to work with another EE 5 compatible application server)
+- JBoss 4.2.x or higher
+  You will need to modify the POM files to work with another
+  Java EE 5-compatible application server.
 
-Building the project:
-====================
-1. Edit pom.xml in the root directory.  Change the <jbossHome> property to the location of your JBoss installation
-2. In root directoy
 
-mvn clean install
+Building the Project:
+=====================
 
-This will build an EJB, a WAR (for resteasy), and an EAR.  The ear module will deploy the ear file into JBoss
-and run the testsuite provided in the ear module.
+- Edit pom.xml (in the root directory).
+  Change the <jbossHome> property to match the location of your JBoss installation.
 
+- In the project's root directory, run:
+    mvn clean install
+  This builds an EJB, a WAR (for RESTEasy), and an EAR. The EAR module will deploy
+  the EAR file into JBoss and run the test suite provided in the EAR module.
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/guice-hello/README.txt	2009-06-11 13:04:11.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/guice-hello/README.txt	2009-09-01 19:57:03.000000000 -0400
@@ -1,14 +1,17 @@
+README for the RESTEasy guice-hello example project:
+===================================================
+
+This project is a simple example demonstrating integration with Guice.
 
-This project is a simple example showing the guice integration. 
 
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
+
 Building the project:
 ====================
-1. In root directoy
-
-mvn clean install
 
-This will build a WAR and run it with embedded Jetty
\ No newline at end of file
+In the project's root directory, run:
+  mvn clean install
+This builds a WAR and runs it with embedded Jetty.
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/jaxb-json/README.TXT	2009-09-02 18:49:06.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/jaxb-json/README.txt	2009-09-01 19:22:55.000000000 -0400
@@ -1,41 +1,46 @@
-Example of using RestEasy with:
-- Using JSON with Resteasy
-- The JAXB/JSON Provider
-- Using javax.ws.rs.core.Application
-- Using the <context-param> resteasy.servlet.mapping.prefix
+README for the RESTEasy jaxb-json example project:
+=========================================================
+
+This project is an example of:
+- using JSON with RESTEasy
+- the JAXB/JSON Provider
+- using javax.ws.rs.core.Application
+- using the <context-param> resteasy.servlet.mapping.prefix
 - Jetty (embedded)
 
+
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
-Building the project:
-====================
-
-mvn clean install
-
-Running the project and manually testing it:
-===========================================
 
-mvn jetty:run-exploded
+Building the Project:
+=====================
 
-Open a browser at the following URL:
+In the root directory, run:
+  mvn clean install
 
-HTML form that pulls JSON from a JAX-RS service.  The data is JAXB annotated classes marshalled to JSON
-using the Jettison mapped format:
 
-http://localhost:9095/mapped.html
+Running the Project and Testing it Manually:
+============================================
 
-HTML form that pulls JSON from a JAX-RS service.  The data is JAXB annotated classes marshalled to JSON
-using the Jettison Badger format:
+- mvn jetty6:run-exploded
 
-http://localhost:9095/badger.html
+- Open a browser at the following URLs to test each listed object/function:
 
-To view the Mapped JSON format:
+  The HTML form that pulls JSON from a JAX-RS service.
+  The data includes JAXB-annotated classes marshalled to JSON using the
+  Jettison mapped format:
+    http://localhost:9095/mapped.html
 
-http://localhost:9095/resteasy/library/books/mapped.html
+  The HTML form that pulls JSON from a JAX-RS service.
+  The data is JAXB annotated classes marshalled to JSON
+  using the Jettison Badger format:
+    http://localhost:9095/badger.html
 
-To view the Badger JSON format:
+  To view the Mapped JSON format:
+    http://localhost:9095/resteasy/library/books/mapped.html
 
-http://localhost:9095/resteasy/library/books/badger.html
+  To view the Badger JSON format:
+    http://localhost:9095/resteasy/library/books/badger.html
 
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/resteasy-springMVC/README.TXT	2009-05-06 07:06:50.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/resteasy-springMVC/README.txt	2009-09-01 19:22:55.000000000 -0400
@@ -1,25 +1,38 @@
-Example of using RestEasy with:
+README for the RESTEasy resteasy-springMVC example project:
+=========================================================
+
+This project is an example of using RESTEasy with:
 - Spring
 - Jetty (embedded)
 
+
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
-Added client module. The module shows an example to test the existing war generated by the service module using the same
-web container: jetty6 in an embedded mode. The container is injected in the junit 4 test. The client makes use of the resteasy client framework.
 
-Building the project:
-====================
+07/07/08 Updated:
+=================
+
+- Added client module.
+  The client module shows an example that tests the service module-generated 
+  WAR with the same web container (Jetty6 in an embedded mode). The container is
+  injected in the junit 4 test. The client uses the RESTEasy Client Framework.
+
+
+Building the Project:
+=====================
+
+In the project's root directory, run:
+  mvn clean install
 
-mvn clean install
 
-Running the project and manually testing it:
-===========================================
+Running the Project and Testing it Manually:
+============================================
 
-mvn jetty:run
+- mvn jetty:run
 
-Open a browser at the following URL:
+- Open a browser at the following URL to test the function:
 
-List all available contacts:
-http://localhost:9095/contacts
+  List all available contacts:
+  http://localhost:9095/contacts
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/simple/README.txt	2009-01-20 09:44:02.000000000 -0500
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/simple/README.txt	2009-09-01 19:22:55.000000000 -0400
@@ -1,15 +1,24 @@
+README for the RESTEasy simple example project:
+=========================================================
+
+This project is a simple example showing the use of:
+- @Path
+- @GET
+- PUT
+- POST
+- @PathParam
+
+It also uses pure streaming output.
 
-This project is a simple example showing usage of @Path, @GET, PUT, POST, and @PathParam.  It uses pure streaming
-output as well. 
 
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
-Building the project:
-====================
-1. In root directoy
 
-mvn clean install
+Building the Project:
+=====================
 
-This will build a WAR and run it with embedded Jetty
\ No newline at end of file
+In the root directory, run:
+  mvn clean install
+This builds a WAR and runs it with embedded Jetty.
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/spring-hibernate-contacts/README.TXT	2009-08-13 07:31:49.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/spring-hibernate-contacts/README.txt	2009-09-01 19:22:55.000000000 -0400
@@ -1,75 +1,90 @@
-Example of using RestEasy with:
+README for the RESTEasy spring-hibernate-contacts example project:
+=========================================================
+
+This project is an example of using RESTEasy with:
 - Hibernate
 - Hibernate Annotations
 - Spring
 - Jetty (embedded)
-- In memory HSQLDB 
+- In-memory HSQLDB 
 - MySQL as a possible replacement to HSQLDB
 
+
 System Requirements:
 ====================
 - Maven 2.0.9 or higher
 
+
 07/07/08 Updated:
-================
+=================
 
-Added client module. The module shows an example to test the existing war generated by the service module using the same
-web container: jetty6 in an embedded mode. The container is injected in the junit 4 test. The client makes use of the resteasy client framework.
+- Added client module.
+  The client module shows an example that tests the service module-generated 
+  WAR with the same web container (Jetty6 in an embedded mode). The container is
+  injected in the junit 4 test. The client uses the RESTEasy Client Framework.
 
-Building the project:
-====================
 
-mvn clean install
+Building the Project:
+=====================
+
+In the project's root directory, run:
+  mvn clean install
+
+
+Running the Project and Testing it Manually:
+============================================
+
+- cd services
+
+- mvn jetty6:run-exploded
 
-Running the project and manually testing it:
-===========================================
+- Open a browser at the following URLs to test each function:
 
-cd services
-mvn jetty:run-exploded
+  List all available contacts in database:
+  http://localhost:9095/services/contactservice/contacts
+
+  List a contact by Id (among the list of the previously returned list):
+  http://localhost:9095/services/contactservice/contacts/1
+    OR
+  http://localhost:9095/services/contactservice/contacts/2
+    OR
+  http://localhost:9095/services/contactservice/contacts/3
+
+  List the contacts of contacts:
+  http://localhost:9095/services/contactservice/contacts/1/contacts
+    OR
+  http://localhost:9095/services/contactservice/contacts/2/contacts
+    OR
+  http://localhost:9095/services/contactservice/contacts/3/contacts
 
-Open a browser at the following URL:
-
-List all available contacts in database:
-http://localhost:9095/services/contactservice/contacts
-
-List a contact by Id (among the list of the previously returned list):
-http://localhost:9095/services/contactservice/contacts/1
-OR
-http://localhost:9095/services/contactservice/contacts/2
-OR
-http://localhost:9095/services/contactservice/contacts/3
-
-List the contacts of contacts:
-http://localhost:9095/services/contactservice/contacts/1/contacts
-OR
-http://localhost:9095/services/contactservice/contacts/2/contacts
-OR
-http://localhost:9095/services/contactservice/contacts/3/contacts
 
 (Optional) Switch HSQLDB to MySQL:
 ==================================
 
 MySQL must be installed and accessible.
-The maven 2 build process creates and initializes a new database instance.
-As privileges must be given to do so, the following files MUST be changed prior building the project with the command: mvn install
 
-- persistence/src/main/sql/mysql/initialize.bat: 
+The Maven 2.x build process creates and initializes a new database instance.
+The following files MUST be changed prior to building the project, because
+permissions must be given for the database instance to work correctly.
 
-Replace <MYSQL_USER> with the MySQL user that has privileges to create a database
+- persistence/src/main/sql/mysql/initialize.bat: 
+  Replace:  <MYSQL_USER>      with the MySQL user that has privileges to
+                              create a database
         <MYSQL_PASSWORD> with the user's associated password
-The file contains the following lines:
+  The file contains the following lines:
 	mysql -u<MYSQL_USER> -p<MYSQL_PASSWORD> < dbschema.sql
 	mysql -u<MYSQL_USER> -p<MYSQL_PASSWORD> < data.sql
 
-
 - persistence/src/main/resources/db.properties
-
-Replace <MYSQL_USER> with the MySQL user that has privileges to create a database
+  Replace:  <MYSQL_USER>      with the MySQL user that has privileges to
+                              create a database
         <MYSQL_PASSWORD> with the user's associated password
-Possibly the database URL if the MySQL instance has been configured on a different machine:
-
-The file contains the following lines:
+            The database URL, if the MySQL instance has been configured on a
+            different machine.
+  The file contains the following lines:
 	mzt.db.username=<MYSQL_USER>
 	mzt.db.password=<MYSQL_PASSWORD>
 	mzt.db.driver=com.mysql.jdbc.Driver
 	mzt.db.url=jdbc:mysql://localhost/contact?useUnicode=true&characterEncoding=UTF-8
+
+
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/spring-hibernate-contacts/persistence/pom.xml	2009-09-02 17:07:19.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/spring-hibernate-contacts/persistence/pom.xml	2009-09-01 19:22:55.000000000 -0400
@@ -37,24 +37,24 @@
         </dependency>
         <dependency>
             <groupId>org.hibernate</groupId>
-            <artifactId>hibernate-core</artifactId>
-            <version>3.3.2.GA</version>
+            <artifactId>hibernate</artifactId>
+            <version>3.2.6.ga</version>
         </dependency>
         <!-- In memory database. To replace MySQL for test -->
         <dependency>
             <groupId>hsqldb</groupId>
             <artifactId>hsqldb</artifactId>
-            <version>1.8.0.8</version>
+            <version>1.8.0.7</version>
         </dependency>
         <dependency>
             <groupId>org.hibernate</groupId>
             <artifactId>hibernate-annotations</artifactId>
-            <version>3.4.0.GA</version>
+            <version>3.3.1.GA</version>
         </dependency>
         <dependency>
             <groupId>org.hibernate</groupId>
             <artifactId>ejb3-persistence</artifactId>
-            <version>1.0.2.GA</version>
+            <version>3.3.2.Beta1</version>
         </dependency>
     </dependencies>
 
--- RESTEASY_JAXRS_1_1_GA_CP01/examples/spring-hibernate-contacts/pom.xml	2009-09-02 17:07:19.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/spring-hibernate-contacts/pom.xml	2009-09-01 19:22:55.000000000 -0400
@@ -83,13 +83,13 @@
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring</artifactId>
-            <version>2.5.6</version>
+            <version>2.5.5</version>
         </dependency>
         <!-- Test classes that integrates Junit 3.8 and 4 to Spring based applications -->
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-test</artifactId>
-            <version>2.5.6</version>
+            <version>2.5.5</version>
         </dependency>
         <dependency>
             <groupId>javax.persistence</groupId>
--- RESTEASY_JAXRS_1_1_GA_CP01/pom.xml	2009-09-02 17:07:19.000000000 -0400
+++ /home/pcheung/distcvs/rh-eap-docs/RHEL-4-EP-5/RESTEasy.svn/pom.xml	2009-09-01 19:22:55.000000000 -0400
@@ -1,493 +1,24 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-    <modelVersion>4.0.0</modelVersion>
-
-    <name>RESTEasy JAX-RS</name>
+<project>
+    <parent>
     <groupId>org.jboss.resteasy</groupId>
     <artifactId>resteasy-jaxrs-all</artifactId>
     <version>1.1.GA_CP01</version>
-    <packaging>pom</packaging>
-
-    <properties>
-        <jboss.home>/Users/billburke/jboss/jboss-4.2.3.GA</jboss.home>
-    </properties>
-
+    </parent>
+    <name>Resteasy Examples</name>
     <url>http://wiki.jboss.org/wiki/Wiki.jsp?page=RESTeasyJAXRS</url>
+    <modelVersion>4.0.0</modelVersion>
 
-    <licenses>
-        <license>
-            <name>GNU LESSER GENERAL PUBLIC LICENSE</name>
-            <url>http://www.gnu.org/licenses/lgpl.txt</url>
-            <distribution>repo</distribution>
-        </license>
-    </licenses>
-
-    <scm>
-        <connection>scm:svn:https://resteasy.svn.sourceforge.net/svnroot/resteasy/trunk/jaxrs</connection>
-        <developerConnection>scm:svn:https://resteasy.svn.sourceforge.net/svnroot/resteasy/trunk/jaxrs
-        </developerConnection>
-        <url>http://resteasy.svn.sourceforge.net/viewvc/resteasy/trunk/jaxrs</url>
-    </scm>
-
-    <issueManagement>
-        <system>JIRA</system>
-        <url>http://jira.jboss.com/jira/browse/RESTEASY</url>
-    </issueManagement>
-
-    <developers>
-        <developer>
-            <id>rmcdonough</id>
-            <name>Ryan J. McDonough</name>
-            <email>ryan@damnhandy.com</email>
-            <url>http://damnhandy.com</url>
-            <roles>
-                <role>project-owner</role>
-            </roles>
-            <timezone>-5</timezone>
-        </developer>
-        <developer>
-            <id>patriot1burke</id>
-            <name>Bill Burke</name>
-            <email>bill@burkecentral.com</email>
-            <organization>JBoss</organization>
-            <roles>
-                <role>project-owner</role>
-            </roles>
-            <timezone>-5</timezone>
-        </developer>
-    </developers>
-
-    <contributors>
-        <contributor>
-            <name>Heiko Braun</name>
-        </contributor>
-        <contributor>
-            <name>Martin Algesten</name>
-        </contributor>
-    </contributors>
+    <groupId>org.jboss.resteasy</groupId>
+    <artifactId>testable-examples-pom</artifactId>
+    <packaging>pom</packaging>
 
     <modules>
-
-        <!-- Should probably be removed and be treated as external dependency -->
-        <module>jaxrs-api</module>
-        <module>resteasy-test-data</module>
-        <module>resteasy-jaxrs</module>
-        <module>providers</module>
-        <module>resteasy-jaxrs-war</module>
-        <module>resteasy-maven-import</module>
-        <module>resteasy-cache</module>
-        <module>resteasy-guice</module>
-        <module>async-http-jbossweb</module>
-        <module>async-http-tomcat</module>
-        <module>resteasy-spring</module>
-        <module>war-tests</module>
-        <module>examples</module>
-        <module>async-http-servlet-3.0</module>
+        <module>jaxb-json</module>
+        <module>guice-hello</module>
+        <module>spring-hibernate-contacts</module>
+        <module>simple</module>
+        <module>async-job-service</module>
+        <module>api-clients</module>
+        <module>resteasy-springMVC</module>
     </modules>
-
-    <dependencyManagement>
-        <dependencies>
-
-            <dependency>
-                <groupId>org.slf4j</groupId>
-                <artifactId>slf4j-api</artifactId>
-                <version>1.5.8</version>
-            </dependency>
-            <dependency>
-                <groupId>org.slf4j</groupId>
-                <artifactId>slf4j-simple</artifactId>
-                <version>1.5.8</version>
-            </dependency>
-            <dependency>
-                <groupId>org.slf4j</groupId>
-                <artifactId>jcl-over-slf4j</artifactId>
-                <version>1.5.8</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.jboss.resteasy</groupId>
-                <artifactId>jaxrs-api</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.jboss.resteasy</groupId>
-                <artifactId>resteasy-test-data</artifactId>
-                <version>${project.version}</version>
-                <scope>test</scope>
-            </dependency>
-
-            <dependency>
-                <groupId>org.scannotation</groupId>
-                <artifactId>scannotation</artifactId>
-                <version>1.0.2</version>
-            </dependency>
-
-            <dependency>
-                <groupId>javax.annotation</groupId>
-                <artifactId>jsr250-api</artifactId>
-                <version>1.0</version>
-            </dependency>
-
-            <dependency>
-                <groupId>com.sun.xml.bind</groupId>
-                <artifactId>jaxb-impl</artifactId>
-                <version>2.1.10</version>
-            </dependency>
-
-
-            <dependency>
-                <groupId>com.sun.xml.stream</groupId>
-                <artifactId>sjsxp</artifactId>
-                <version>1.0.1</version>
-                <exclusions>
-                    <!-- This results in duplicate stax-api jars. This is the older
-            one. A newer is brought in by com.sun.xml.bind:jaxb-impl -->
-                    <exclusion>
-                        <groupId>stax</groupId>
-                        <artifactId>stax-api</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-
-            <dependency>
-                <groupId>com.sun.xml.fastinfoset</groupId>
-                <artifactId>FastInfoset</artifactId>
-                <version>1.2.7</version>
-            </dependency>
-
-            <dependency>
-                <groupId>commons-httpclient</groupId>
-                <artifactId>commons-httpclient</artifactId>
-                <version>3.1</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>commons-logging</groupId>
-                        <artifactId>commons-logging</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-
-            <dependency>
-                <groupId>org.codehaus.jettison</groupId>
-                <artifactId>jettison</artifactId>
-                <version>1.1</version>
-                <exclusions>
-                    <!-- This results in duplicate stax-api jars. This is the older
-            one. A newer is brought in by com.sun.xml.bind:jaxb-impl -->
-                    <exclusion>
-                        <groupId>stax</groupId>
-                        <artifactId>stax-api</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-
-            <dependency>
-                <groupId>javax.activation</groupId>
-                <artifactId>activation</artifactId>
-                <version>1.1</version>
-            </dependency>
-
-            <dependency>
-                <groupId>javax.mail</groupId>
-                <artifactId>mail</artifactId>
-                <version>1.4</version>
-            </dependency>
-
-            <dependency>
-                <groupId>tjws</groupId>
-                <artifactId>webserver</artifactId>
-                <version>1.3.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.jyaml</groupId>
-                <artifactId>jyaml</artifactId>
-                <version>1.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>javax.servlet</groupId>
-                <artifactId>servlet-api</artifactId>
-                <version>2.5</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.james</groupId>
-                <artifactId>apache-mime4j</artifactId>
-                <version>0.6</version>
-                <exclusions>
-                    <exclusion>
-                        <artifactId>commons-logging</artifactId>
-                        <groupId>commons-logging</groupId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>junit</groupId>
-                <artifactId>junit</artifactId>
-                <version>4.1</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.abdera</groupId>
-                <artifactId>abdera-client</artifactId>
-                <version>0.4.0-incubating</version>
-            </dependency>
-            <dependency>
-                <groupId>org.codehaus.jackson</groupId>
-                <artifactId>jackson-core-asl</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-            <dependency>
-                <groupId>org.codehaus.jackson</groupId>
-                <artifactId>jackson-mapper-asl</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-            <dependency>
-                <groupId>org.codehaus.jackson</groupId>
-                <artifactId>jackson-jaxrs</artifactId>
-                <version>1.0.1</version>
-            </dependency>
-            <dependency>
-                <groupId>org.jboss.cache</groupId>
-                <artifactId>jbosscache-core</artifactId>
-                <version>3.2.0.GA</version>
-            </dependency>
-        </dependencies>
-    </dependencyManagement>
-
-    <repositories>
-        <repository>
-            <id>jakarta</id>
-            <url>http://jakarta.apache.org/commons/httpclient/</url>
-        </repository>
-        <repository>
-            <id>jboss</id>
-            <url>http://repository.jboss.org/maven2</url>
-        </repository>
-        <repository>
-            <id>java.net</id>
-            <url>
-                https://maven-repository.dev.java.net/nonav/repository
-            </url>
-            <layout>legacy</layout>
-        </repository>
-        <repository>
-            <id>codehaus</id>
-            <url>http://repository.codehaus.org</url>
-        </repository>
-        <repository>
-            <id>maven2-repository.dev.java.net</id>
-            <name>Java.net Repository for Maven</name>
-            <url>http://download.java.net/maven/2/</url>
-            <layout>default</layout>
-        </repository>
-        <repository>
-            <id>ibiblio mirror</id>
-            <url>http://mirrors.ibiblio.org/pub/mirrors/maven2/</url>
-        </repository>
-    </repositories>
-    <pluginRepositories>
-        <pluginRepository>
-            <id>maven2-repository.dev.java.net</id>
-            <url>http://download.java.net/maven/2</url>
-        </pluginRepository>
-        <pluginRepository>
-            <id>maven-repository.dev.java.net</id>
-            <name>Java.net Maven 1 Repository (legacy)</name>
-            <url>http://download.java.net/maven/1</url>
-            <layout>legacy</layout>
-        </pluginRepository>
-    </pluginRepositories>
-    <build>
-        <pluginManagement>
-            <plugins>
-                <!--
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-javadoc-plugin</artifactId>
-                    <version>2.4</version>
-                    <configuration>
-                        <minmemory>128m</minmemory>
-                        <maxmemory>512m</maxmemory>
-                        <quiet>false</quiet>
-                        <aggregate>true</aggregate>
-                    </configuration>
-                    <executions>
-                        <execution>
-                            <id>javadocs</id>
-                            <goals>
-                                <goal>jar</goal>
-                            </goals>
-                        </execution>
-                    </executions>
-                </plugin>
-                -->
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-site-plugin</artifactId>
-                    <version>2.0-beta-5</version>
-                </plugin>
-                <plugin>
-                    <inherited>true</inherited>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-source-plugin</artifactId>
-                    <version>2.0.3</version>
-                    <executions>
-                        <execution>
-                            <id>attach-sources</id>
-                            <goals>
-                                <goal>jar</goal>
-                            </goals>
-                        </execution>
-                    </executions>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-surefire-plugin</artifactId>
-                    <version>2.4</version>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-install-plugin</artifactId>
-                    <configuration>
-                        <createChecksum>true</createChecksum>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-pmd-plugin</artifactId>
-                    <configuration>
-                        <linkXref>true</linkXref>
-                        <sourceEncoding>utf-8</sourceEncoding>
-                        <minimumTokens>100</minimumTokens>
-                        <targetJdk>1.5</targetJdk>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>cobertura-maven-plugin</artifactId>
-                    <configuration/>
-                    <executions>
-                        <execution>
-                            <goals>
-                                <goal>clean</goal>
-                            </goals>
-                        </execution>
-                    </executions>
-                </plugin>
-            </plugins>
-        </pluginManagement>
-
-        <plugins>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-compiler-plugin</artifactId>
-                <configuration>
-                    <source>1.5</source>
-                    <target>1.5</target>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-javadoc-plugin</artifactId>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-install-plugin</artifactId>
-                <configuration>
-                    <createChecksum>true</createChecksum>
-                </configuration>
-            </plugin>
-            <plugin>
-                <artifactId>maven-source-plugin</artifactId>
-                <executions>
-                    <execution>
-                        <phase>verify</phase>
-                        <goals>
-                            <goal>jar</goal>
-                        </goals>
-                    </execution>
-                </executions>
-            </plugin>
-        </plugins>
-
-    </build>
-
-    <reporting>
-        <plugins>
-            <plugin>
-                <groupId>org.codehaus.mojo</groupId>
-                <artifactId>cobertura-maven-plugin</artifactId>
-                <configuration>
-                    <formats>
-                        <format>html</format>
-                        <format>xml</format>
-                    </formats>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-checkstyle-plugin</artifactId>
-                <configuration>
-                    <configLocation>
-                        config/jboss_checks.xml
-                    </configLocation>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.codehaus.mojo</groupId>
-                <artifactId>findbugs-maven-plugin</artifactId>
-                <version>1.1.1</version>
-                <configuration>
-                    <xmlOutput>true</xmlOutput>
-                    <effort>Max</effort>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-javadoc-plugin</artifactId>
-                <configuration>
-                    <minmemory>128m</minmemory>
-                    <maxmemory>1024m</maxmemory>
-                    <quiet>false</quiet>
-                    <aggregate>true</aggregate>
-                    <excludePackageNames>com.restfully.*:org.jboss.resteasy.examples.*:org.jboss.resteasy.tests.*
-                    </excludePackageNames>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>
-                    maven-project-info-reports-plugin
-                </artifactId>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-surefire-report-plugin</artifactId>
-            </plugin>
-            <!--
-            <plugin>
-               <groupId>org.apache.maven.plugins</groupId>
-               <artifactId>maven-changes-plugin</artifactId>
-               <reportSets>
-                  <reportSet>
-                     <reports>
-                        <report>jira-report</report>
-                     </reports>
-                  </reportSet>
-               </reportSets>
-            </plugin>
-            <plugin>
-               <groupId>org.apache.maven.plugins</groupId>
-               <artifactId>maven-changelog-plugin</artifactId>
-               <configuration>
-                  <type>range</type>
-                  <range>30</range>
-                  <headingDateFormat>dd MMM, yyyy</headingDateFormat>
-               </configuration>
-            </plugin>
-            -->
-        </plugins>
-    </reporting>
 </project>