Index: demo-src/pom.xml
===================================================================
--- demo-src/pom.xml	(revision 0)
+++ demo-src/pom.xml	(revision 0)
@@ -0,0 +1,119 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+
+  <modelVersion>4.0.0</modelVersion>
+
+  <!-- Artifact Configuration -->
+  <groupId>org.jboss.jbossts</groupId>
+  <artifactId>jbossts-transactional-fileio-demo</artifactId>
+  <version>1.0.0-SNAPSHOT</version>
+  <name>JBoss Transactional File I/O Demo</name>
+  <description>
+    Demo of JBoss Transactional file I/O
+  </description>
+  <url>http://www.jboss.org/jbosstm/fileio/</url>
+
+
+    <properties>
+
+        <version.jbossts.transactional.fileio>1.0.0-SNAPSHOT</version.jbossts.transactional.fileio>
+    </properties>
+
+    
+    <!-- The repositories (other than Maven central repo) that we depend on,
+    for artifacts -->
+    <repositories>
+        <!-- JBoss release repo -->
+        <repository>
+            <id>repository.jboss.org</id>
+            <url>http://repository.jboss.org/maven2</url>
+            <releases>
+                <enabled>true</enabled>
+            </releases>
+            <snapshots>
+                <enabled>false</enabled>
+            </snapshots>
+        </repository>
+
+        <!-- JBoss snapshot repo -->
+        <repository>
+            <id>snapshots.jboss.org</id>
+            <url>http://snapshots.jboss.org/maven2</url>
+            <releases>
+                <enabled>false</enabled>
+            </releases>
+            <snapshots>
+                <enabled>true</enabled>
+            </snapshots>
+        </repository>
+    </repositories>
+
+    <!-- Distribution/release related configurations -->
+    <distributionManagement>
+        <repository>
+            <id>repository.jboss.org</id>
+            <name>JBoss release repo</name>
+            <url>http://repository.jboss.org/maven2</url>
+        </repository>
+
+        <snapshotRepository>
+            <id>snapshots.jboss.org</id>
+            <name>JBoss Snapshots repo</name>
+            <url>http://snapshots.jboss.org/maven2</url>
+        </snapshotRepository>
+    </distributionManagement>
+
+
+    <build>
+        <!-- We don't follow the Maven folder convention, so
+        point Maven to the source folder -->
+        <sourceDirectory>${basedir}</sourceDirectory>
+
+        <plugins>
+
+            <!-- Enforce minimum Java 1.5 -->
+            <plugin>
+                <artifactId>maven-enforcer-plugin</artifactId>
+                 <executions>
+                    <execution>
+                        <id>enforce-jdk5</id>
+                        <goals>
+                            <goal>enforce</goal>
+                        </goals>
+                        <configuration>
+                            <rules>
+                                <requireJavaVersion>
+                                    <version>[1.5,)</version>
+                                </requireJavaVersion>
+                            </rules>
+                        </configuration>
+                    </execution>
+                </executions>
+
+            </plugin>
+            <!-- Compiler settings -->
+            <plugin>
+                <artifactId>maven-compiler-plugin</artifactId>
+                <inherited>true</inherited>
+                <configuration>
+                    <source>1.5</source>
+                    <target>1.5</target>
+                    <showDeprecation>false</showDeprecation>
+                    <showWarnings>true</showWarnings>
+                    <optimize>true</optimize>
+                    <compilerVersion>1.5</compilerVersion>
+                    <fork>true</fork>
+                    <executable>${JAVA_HOME}/bin/javac</executable>
+                </configuration>
+          </plugin>
+        </plugins>
+    </build>
+
+    <dependencies>
+        <!-- JBoss transactional file i/o -->
+        <dependency>
+            <groupId>org.jboss.jbossts</groupId>
+            <artifactId>jbossts-transactional-fileio</artifactId>
+            <version>${version.jbossts.transactional.fileio}</version>
+        </dependency>
+    </dependencies>
+</project>
\ No newline at end of file
Index: pom.xml
===================================================================
--- pom.xml	(revision 0)
+++ pom.xml	(revision 0)
@@ -0,0 +1,146 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+
+  <modelVersion>4.0.0</modelVersion>
+
+  <!-- Artifact Configuration -->
+  <groupId>org.jboss.jbossts</groupId>
+  <artifactId>jbossts-transactional-fileio</artifactId>
+  <version>1.0.0-SNAPSHOT</version>
+  <name>JBoss Transactional File I/O</name>
+  <description>
+    Transactional file I/O
+  </description>
+  <url>http://www.jboss.org/jbosstm/fileio/</url>
+
+
+    <properties>
+        <version.jboss.jta>4.4.0.GA</version.jboss.jta>
+        <version.commons.transaction>1.2</version.commons.transaction>
+        <version.javax.transaction>1.1</version.javax.transaction>
+    </properties>
+
+    <!-- SCM -->
+      <scm>
+        <connection>scm:svn:http://anonsvn.jboss.org/repos/labs/labs/jbosstm/workspace/transactionalFileIO/trunk/</connection>
+        <developerConnection>scm:svn:https://svn.jboss.org/repos/labs/labs/jbosstm/workspace/transactionalFileIO/trunk/</developerConnection>
+        <url>http://anonsvn.jboss.org/repos/labs/labs/jbosstm/workspace/transactionalFileIO/trunk/</url>
+      </scm>
+
+    <issueManagement>
+        <system>jira</system>
+        <url>http://jira.jboss.com/jira/browse/JBTM</url>
+    </issueManagement>
+
+    <!-- The repositories (other than Maven central repo) that we depend on,
+    for artifacts -->
+    <repositories>
+        <!-- JBoss release repo -->
+        <repository>
+            <id>repository.jboss.org</id>
+            <url>http://repository.jboss.org/maven2</url>
+            <releases>
+                <enabled>true</enabled>
+            </releases>
+            <snapshots>
+                <enabled>false</enabled>
+            </snapshots>
+        </repository>
+
+        <!-- JBoss snapshot repo -->
+        <repository>
+            <id>snapshots.jboss.org</id>
+            <url>http://snapshots.jboss.org/maven2</url>
+            <releases>
+                <enabled>false</enabled>
+            </releases>
+            <snapshots>
+                <enabled>true</enabled>
+            </snapshots>
+        </repository>
+    </repositories>
+
+    <!-- Distribution/release related configurations -->
+    <distributionManagement>
+        <repository>
+            <id>repository.jboss.org</id>
+            <name>JBoss release repo</name>
+            <url>http://repository.jboss.org/maven2</url>
+        </repository>
+
+        <snapshotRepository>
+            <id>snapshots.jboss.org</id>
+            <name>JBoss Snapshots repo</name>
+            <url>http://snapshots.jboss.org/maven2</url>
+        </snapshotRepository>
+    </distributionManagement>
+
+    
+    <build>
+        <!-- We don't follow the Maven folder convention, so
+        point Maven to the source folder -->
+        <sourceDirectory>${basedir}/src</sourceDirectory>
+
+        <plugins>
+
+            <!-- Enforce minimum Java 1.5 -->
+            <plugin>
+                <artifactId>maven-enforcer-plugin</artifactId>
+                 <executions>
+                    <execution>
+                        <id>enforce-jdk5</id>
+                        <goals>
+                            <goal>enforce</goal>
+                        </goals>
+                        <configuration>
+                            <rules>
+                                <requireJavaVersion>
+                                    <version>[1.5,)</version>
+                                </requireJavaVersion>
+                            </rules>
+                        </configuration>
+                    </execution>
+                </executions>
+
+            </plugin>
+            <!-- Compiler settings -->
+            <plugin>
+                <artifactId>maven-compiler-plugin</artifactId>
+                <inherited>true</inherited>
+                <configuration>
+                    <source>1.5</source>
+                    <target>1.5</target>
+                    <showDeprecation>false</showDeprecation>
+                    <showWarnings>true</showWarnings>
+                    <optimize>true</optimize>
+                    <compilerVersion>1.5</compilerVersion>
+                    <fork>true</fork>
+                    <executable>${JAVA_HOME}/bin/javac</executable>
+                </configuration>
+          </plugin>
+        </plugins>
+    </build>
+
+    <dependencies>
+
+        <!-- javax.transaction.* -->
+        <dependency>
+            <groupId>javax.transaction</groupId>
+            <artifactId>jta</artifactId>
+            <version>${version.javax.transaction}</version>
+        </dependency>
+        
+        <!-- jboss jta -->
+        <dependency>
+            <groupId>jboss.jbossts</groupId>
+            <artifactId>jbossjta</artifactId>
+            <version>${version.jboss.jta}</version>
+        </dependency>
+
+        <!-- Apache Commons transaction -->
+        <dependency>
+            <groupId>commons-transaction</groupId>
+            <artifactId>commons-transaction</artifactId>
+            <version>${version.commons.transaction}</version>
+        </dependency>
+    </dependencies>
+</project>
\ No newline at end of file